Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 782679 (CVE-2021-3472) - <x11-base/xorg-server-1.20.11 - Input validation failures in X server XInput extension
Summary: <x11-base/xorg-server-1.20.11 - Input validation failures in X server XInput ...
Status: RESOLVED FIXED
Alias: CVE-2021-3472
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal critical (vote)
Assignee: Gentoo Security
URL: https://www.openwall.com/lists/oss-se...
Whiteboard: A1 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-13 14:41 UTC by Matt Smith
Modified: 2021-05-01 00:01 UTC (History)
2 users (show)

See Also:
Package list:
x11-base/xorg-server-1.20.11
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Smith 2021-04-13 14:41:10 UTC
Insufficient checks on the lengths of the XInput extension
ChangeFeedbackControl request can lead to out of bounds memory
accesses in the X server.

These issues can lead to privilege escalation for authorized clients
on systems where the X server is running privileged.

Fixed in 7aaf54a (included in version 1.20.11).
Comment 1 NATTkA bot gentoo-dev 2021-04-13 14:44:21 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-04-13 14:52:22 UTC Comment hidden (obsolete)
Comment 3 John Helmert III gentoo-dev Security 2021-04-13 14:53:25 UTC
Thanks for the report! @x11, please proceed with stabilization when ready.
Comment 4 Matt Turner gentoo-dev 2021-04-13 16:14:16 UTC
Good to go!
Comment 5 Sam James archtester gentoo-dev Security 2021-04-14 16:23:41 UTC
arm64 done
Comment 6 Sam James archtester gentoo-dev Security 2021-04-14 16:24:21 UTC
arm done
Comment 7 Sam James archtester gentoo-dev Security 2021-04-14 16:24:50 UTC
x86 done
Comment 8 Sam James archtester gentoo-dev Security 2021-04-14 16:25:21 UTC
amd64 done
Comment 9 Sam James archtester gentoo-dev Security 2021-04-14 16:26:45 UTC
ppc64 done
Comment 10 Rolf Eike Beer 2021-04-15 18:47:34 UTC
sparc stable
Comment 11 Sam James archtester gentoo-dev Security 2021-04-16 00:40:13 UTC
ppc done

all arches done
Comment 12 John Helmert III gentoo-dev Security 2021-04-16 14:32:53 UTC
Please cleanup.
Comment 13 Larry the Git Cow gentoo-dev 2021-04-30 21:48:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18023eacab3717be38b9f88ffeb0bebf5ee81f56

commit 18023eacab3717be38b9f88ffeb0bebf5ee81f56
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-04-30 21:48:39 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-04-30 21:48:48 +0000

    x11-base/xorg-server: security cleanup
    
    Bug: https://bugs.gentoo.org/782679
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 x11-base/xorg-server/Manifest                      |   1 -
 x11-base/xorg-server/xorg-server-1.20.10-r2.ebuild | 227 ---------------------
 x11-base/xorg-server/xorg-server-1.20.10-r3.ebuild | 225 --------------------
 3 files changed, 453 deletions(-)
Comment 14 Thomas Deutschmann gentoo-dev Security 2021-04-30 21:49:14 UTC
New GLSA request filed.
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2021-05-01 00:01:17 UTC
This issue was resolved and addressed in
 GLSA 202104-02 at https://security.gentoo.org/glsa/202104-02
by GLSA coordinator Thomas Deutschmann (whissi).